## golang-github-jhillyerd-enmime 0.9.3

=== Makefile ===
SHELL := /bin/sh

SRC := $(shell find . -type f -name '*.go' -not -path "./vendor/*")
PKGS := $(shell go list ./... | grep -v /vendor/)

.PHONY: all build clean fmt lint reflex simplify test

all: clean test lint build

clean:
	go clean $(PKGS)

deps:
	go get ./...

build:
	go build

test:
	go test -race ./...

fmt:
	@gofmt -l -w $(SRC)

simplify:
	@gofmt -s -l -w $(SRC)

lint:
	@test -z "$(shell gofmt -l . | tee /dev/stderr)" || echo "[WARN] Fix formatting issues with 'make fmt'"
	@golint -set_exit_status $(PKGS)
	@go vet $(PKGS)

reflex:
	reflex -r '\.go$$' -- sh -c 'echo; date; echo; go test ./... && echo ALL PASS'

=== debian/changelog ===
golang-github-jhillyerd-enmime (0.9.3-5ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 10:51:20 +1000

golang-github-jhillyerd-enmime (0.9.3-5ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 30 Oct 2024 10:36:43 +0100

golang-github-jhillyerd-enmime (0.9.3-5ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 08:19:54 +0530

golang-github-jhillyerd-enmime (0.9.3-5build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:29 +1200

golang-github-jhillyerd-enmime (0.9.3-5) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 11 Jun 2023 17:28:42 +0800

golang-github-jhillyerd-enmime (0.9.3-4) experimental; urgency=medium

  * Team upload
  * Replace golang-any with golang-go.
    Needs Go generics which is not available in gccgo.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 27 Feb 2023 10:52:53 +0800

golang-github-jhillyerd-enmime (0.9.3-3) experimental; urgency=medium

  * Team upload
  * Backport patch for invalid MIME header name

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 22 Feb 2023 23:56:17 +0800

golang-github-jhillyerd-enmime (0.9.3-2) unstable; urgency=medium

  * Fix copyright
  * Add autopkgtests for binary package

 -- Nilesh Patra <nilesh@debian.org>  Wed, 23 Mar 2022 18:22:13 +0530

golang-github-jhillyerd-enmime (0.9.3-1) unstable; urgency=medium

  * Initial release (Closes: #1008101)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 22 Mar 2022 20:01:16 +0530

=== debian/control ===
Source: golang-github-jhillyerd-enmime
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-go,
               golang-github-go-test-deep-dev,
               golang-github-jaytaylor-html2text-dev,
               golang-github-pkg-errors-dev,
               golang-golang-x-text-dev,
               golang-github-cention-sany-utf7-dev,
               golang-github-gogits-chardet-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jhillyerd-enmime
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jhillyerd-enmime.git
Homepage: https://github.com/jhillyerd/enmime
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/jhillyerd/enmime

Package: golang-github-jhillyerd-enmime-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-go-test-deep-dev,
         golang-github-jaytaylor-html2text-dev,
         golang-github-pkg-errors-dev,
         golang-golang-x-text-dev,
         golang-github-cention-sany-utf7-dev,
         golang-github-gogits-chardet-dev,
         ${misc:Depends}
Description: MIME mail encoding and decoding package for Go (library)
 enmime is a MIME encoding and decoding library for Go, focused on
 generating and parsing MIME encoded emails.  It is being developed in
 tandem with the Inbucket email service.
 .
 enmime includes a fluent interface builder for generating
 MIME encoded messages.
 .
 This contains the library package for the same.

Package: enmime
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: MIME mail encoding and decoding package for Go (program)
 enmime is a MIME encoding and decoding library for Go, focused on
 generating and parsing MIME encoded emails.  It is being developed in
 tandem with the Inbucket email service.
 .
 enmime includes a fluent interface builder for generating
 MIME encoded messages.
 .
 This is the binary package for the same containing mime-extractor and
 mime-dump utilities.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/jhillyerd/enmime/tags .*/v?(\d\S*)\.tar\.gz debian
